%define lib_major 0

# comment out when not a pre-release
%define prerel		RC1

%define api_version	3.0
%define abi_version	3.0
%define libname		%mklibname gimp %{api_version}_%{lib_major}
%define devlibname	%mklibname gimp%{api_version} -d

%define babl_ver 0.1.108
%define gegl_ver 0.4.48

Summary:	The GNU Image Manipulation Program
Name:		gimp3
Version:	3.0.0
Release:	%mkrel %{?prerel:0.%prerel.}2
License:	GPLv2+
Group:		Graphics/Editors and Converters
URL:		https://www.gimp.org/

Source0:	https://download.gimp.org/pub/gimp/v%{abi_version}/gimp-%{version}%{?prerel:-%prerel}.tar.xz
#Source1:	https://download.gimp.org/pub/gimp/v%%{abi_version}/gimp-%%{version}.tar.bz2.md5
Source13:	gimp-scripting-sample.pl
#gw fix name in desktop file and disable startup notification
Patch2:		gimp-2.10.0-desktopentry.patch

# Submitted upstream:

BuildRequires:	meson
BuildRequires:	pkgconfig(OpenEXR)
BuildRequires:	pkgconfig(appstream-glib) > 0.7.16
BuildRequires:	pkgconfig(atk) >= 2.34.1
BuildRequires:	pkgconfig(babl-0.1) >= %{babl_ver}
BuildRequires:	pkgconfig(cairo) >= 1.16.0
BuildRequires:	pkgconfig(cairo-pdf) >= 1.10.2
BuildRequires:	pkgconfig(cfitsio)
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.70
BuildRequires:	pkgconfig(fontconfig) >= 2.12.6
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 2.40.0
BuildRequires:	pkgconfig(gegl-0.4) >= %{gegl_ver}
BuildRequires:	pkgconfig(gexiv2) >= 0.10.10
BuildRequires:	pkgconfig(gio-2.0) >= 2.30.2
BuildRequires:	pkgconfig(glib-2.0) >= 2.62.6
BuildRequires:	pkgconfig(gmodule-no-export-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.24.16
BuildRequires:	pkgconfig(gudev-1.0) >= 167
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(lcms2) >= 2.9
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(libcurl) >= 7.15.1
BuildRequires:	pkgconfig(libexif) >= 0.6.15
BuildRequires:	pkgconfig(libjxl)
BuildRequires:	pkgconfig(libpng) >= 1.6.37
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.40.21
BuildRequires:	pkgconfig(libunwind) >= 1.1.0
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(pangocairo) >= 1.44.7
BuildRequires:	pkgconfig(pangoft2)
BuildRequires:	pkgconfig(poppler-glib) >= 0.90.1
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(xfixes)

BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	aalib-devel
BuildRequires:	backstrace-devel
BuildRequires:	gegl
BuildRequires:	gjs-devel
BuildRequires:	glib-networking
BuildRequires:	libgomp-devel
BuildRequires:	qoi-devel
BuildRequires:	pkgconfig(mypaint-brushes-2.0)
BuildRequires:	pkgconfig(poppler-data) >= 0.4.9
BuildRequires:	pkgconfig(libmypaint) >= 1.6.1
BuildRequires:	gi-docgen >= 1.32
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(libmng)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libopenjp2)
BuildRequires:	perl
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	libgs-devel
BuildRequires:	intltool
# (tv) for /bin/appstreamcli:
BuildRequires:	appstream
# (tv) for xvfb-run:
BuildRequires:	x11-server-xvfb
# mail plugin
BuildRequires:	sendmail-command
# python plugin
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	automake
BuildRequires:	pkgconfig(libwmf) >= 0.2.8
BuildRequires:	pkgconfig(xext)
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(libheif)
BuildRequires:	luajit

# workaround libgimp not bumping its major on API/ABI changes:
Requires:	%{libname} = %{version}
Requires:	mypaint-brushes
# fix "ImportError: No module named gimpfu":
Recommends:	gimp3-python = %{version}
Recommends:	gimp3-help

%description
The GIMP3 is an image manipulation program suitable for photo retouching,
image composition and image authoring.  Many people find it extremely useful
in creating logos and other graphics for web pages.  The GIMP3 has many of the
tools and filters you would expect to find in similar commercial offerings,
and some interesting extras as well.

The GIMP3 provides a large image manipulation toolbox, including channel
operations and layers, effects, sub-pixel imaging and anti-aliasing,
and conversions, all with multi-level undo.

This version of The GIMP3 includes a scripting facility, but many of the
included scripts rely on fonts that we cannot distribute.  The GIMP3 ftp
site has a package of fonts that you can install by yourself, which
includes all the fonts needed to run the included scripts.  Some of the
fonts have unusual licensing requirements; all the licenses are documented
in the package.  Get them in https://download.gimp.org/pub/gimp/fonts/ if
you are so inclined.  Alternatively, choose fonts which exist on your
system before running the scripts.

%package -n %{devlibname}
Summary:	GIMP3 plugin and extension development kit
Group:		Development/GNOME and GTK+
License:	LGPLv2+
Requires:	%{libname} = %{version}
Provides:	gimp3-devel = %{version}-%{release}
Provides:	libgimp3-devel = %{version}-%{release}

%description -n %{devlibname}
Static libraries and header files for writing GIMP3 plugins and extensions.

%package -n %{libname}
Summary:	GIMP3 libraries
Group:		System/Libraries
License:	LGPLv2+
Provides:	libgimp%{api_version} = %{version}-%{release}

%description -n %{libname}
This is the library that provides core GIMP3 functionality.
It enable other programs to use GIMP3's features but is mainly intended
to be used by the GIMP3 and its "external" plugins.

%package python
Summary:	GIMP3 python extension
Group:		Development/Python
Requires:	python3dist(pygobject)

%description python
This package contains the python modules for GIMP3, which act as a
wrapper to libgimp allowing the writing of plug-ins for Gimp.
This is similar to script-fu, except that you can use the full set
of Python extension modules from the plug-in, and you write plug-in
in python instead of in scheme.

%prep
%autosetup -p1 -n gimp-%{version}%{?prerel:-%prerel}

%build
export LD_PRELOAD=libgomp.so.1
sed -i 's!mypaint-brushes-1.0!mypaint-brushes-2.0!' meson.build
%meson \
	-Dcheck-update=no	\
	-Djpeg-xl=enabled	\
	-Dilbm=disabled		\
	-Dappdata-test=disabled \
	-Dbug-report-url="https://bugs.mageia.org/"

%meson_build

%install
%meson_install

#clean unpackaged files
find %{buildroot} -name '*.la' -delete

%find_lang gimp20 --all-name

chmod 755 %{buildroot}%{_libdir}/gimp/%{abi_version}/plug-ins/*/*.py
mkdir -p %{buildroot}%{_libdir}/python%{python3_version}/site-packages
echo %{_libdir}/gimp/%{abi_version}/extensions > %{buildroot}%{_libdir}/python%{python3_version}/site-packages/gimp.pth
echo %{_libdir}/gimp/%{abi_version}/plug-ins >> %{buildroot}%{_libdir}/python%{python3_version}/site-packages/gimp.pth

desktop-file-install --vendor="" \
  --add-category="X-Mageia-CrossDesktop" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# (tv) fix conflict with stable gimp-2.10:
for i in %_datadir/{applications/gimp.desktop,metainfo/org.gimp.GIMP.appdata.xml}; do
   mv %buildroot$i %buildroot${i/gimp/gimp3}
done

# More Gimp2 to Gimp3 fixes
rm %{buildroot}%{_bindir}/gimp
rm %{buildroot}%{_bindir}/gimp-console
rm %{buildroot}%{_bindir}/gimp-test-clipboard
rm %{buildroot}%{_bindir}/gimptool
rm %{buildroot}%{_libexecdir}/gimp-debug-tool

%files -f gimp20.lang
%doc AUTHORS NEWS README README.i18n docs/Wilber*
%{_bindir}/gimp-3
%{_bindir}/gimp-%{abi_version}
%{_bindir}/gimptool-3
%{_bindir}/gimp-console-3
%{_bindir}/gimp-console-%{abi_version}
%{_bindir}/gimp-script-fu-interpreter-%{api_version}
%{_bindir}/gimp-test-clipboard-3
%{_bindir}/gimp-test-clipboard-%{abi_version}
%{_libexecdir}/gimp-debug-tool-3
%{_libexecdir}/gimp-debug-tool-%{abi_version}
%{_datadir}/applications/*
%{_datadir}/gimp/%{abi_version}/
%{_metainfodir}/*.xml
%dir %{_libdir}/gimp/%{abi_version}
%dir %{_libdir}/gimp/%{abi_version}/environ
%{_libdir}/gimp/%{abi_version}/environ/default.env
%{_libdir}/gimp/%{abi_version}/extensions/
%exclude %{_libdir}/gimp/%{abi_version}/extensions/*/*.py
%dir %{_libdir}/gimp/%{abi_version}/interpreters
%{_libdir}/gimp/%{abi_version}/interpreters/*.interp
%dir %{_libdir}/gimp/%{abi_version}/modules
%{_libdir}/gimp/%{abi_version}/modules/*.so
%dir %{_libdir}/gimp/%{abi_version}/plug-ins
%dir %{_libdir}/gimp/%{abi_version}/plug-ins/*
%{_libdir}/gimp/%{abi_version}/plug-ins/*/*
%exclude %{_libdir}/gimp/%{abi_version}/plug-ins/*/*.py
%{_mandir}/man1/gimp*
%{_mandir}/man5/gimp*
%_iconsdir/hicolor/*/apps/gimp.*
%config(noreplace) %{_sysconfdir}/gimp/%{abi_version}

%files -n %{devlibname}
#doc %%{_datadir}/gtk-doc/html/*
%doc %{_datadir}/doc/gimp-*
%{_bindir}/gimptool-%{abi_version}
%{_includedir}/gimp-%{api_version}/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*-%{api_version}.pc
%{_mandir}/man1/gimptool-*
%{_datadir}/gir-1.0/*-%{api_version}.gir
%{_datadir}/vala/vapi/gimp-*.deps
%{_datadir}/vala/vapi/gimp-*.vapi

%files -n %{libname}
# explicitly list all libs to avoid old libtool issue
%{_libdir}/girepository-1.0/*-%{api_version}.typelib
%{_libdir}/libgimp-%{api_version}.so.%{lib_major}{,.*}
%{_libdir}/libgimpbase-%{api_version}.so.%{lib_major}{,.*}
%{_libdir}/libgimpcolor-%{api_version}.so.%{lib_major}{,.*}
%{_libdir}/libgimpconfig-%{api_version}.so.%{lib_major}{,.*}
%{_libdir}/libgimpmath-%{api_version}.so.%{lib_major}{,.*}
%{_libdir}/libgimpmodule-%{api_version}.so.%{lib_major}{,.*}
%{_libdir}/libgimpthumb-%{api_version}.so.%{lib_major}{,.*}
%{_libdir}/libgimpui-%{api_version}.so.%{lib_major}{,.*}
%{_libdir}/libgimpwidgets-%{api_version}.so.%{lib_major}{,.*}
%{_libdir}/libgimp-scriptfu-%{api_version}.so.%{lib_major}{,.*}

%files python
%{_libdir}/gimp/%{abi_version}/environ/python.env
%{_libdir}/gimp/%{abi_version}/extensions/*/*.py
%{_libdir}/gimp/%{abi_version}/plug-ins/*/*.py
%{_libdir}/python%{python3_version}/site-packages/gimp.pth


%changelog
* Wed Nov 06 2024 daviddavid <daviddavid> 3.0.0-0.RC1.2.mga10
+ Revision: 2112811
- restore the gimp python plugin

* Wed Nov 06 2024 daviddavid <daviddavid> 3.0.0-0.RC1.1.mga10
+ Revision: 2112806
- new version: 3.0.0-RC1

* Fri Jul 05 2024 daviddavid <daviddavid> 2.99.18-2.mga10
+ Revision: 2079958
- rebuild for new libjxl 0.10.3

* Thu Mar 07 2024 kekepower <kekepower> 2.99.18-1.mga10
+ Revision: 2048428
- BR pkgconfig(cfitsio)
- SLIENT: Disable ilbm (Amiga IFF format)
- Update to version 2.99.18

* Tue Nov 07 2023 daviddavid <daviddavid> 2.99.16-2.mga10
+ Revision: 2005034
- rebuild for new libjxl 0.8.2

* Fri Oct 27 2023 kekepower <kekepower> 2.99.16-1.mga10
+ Revision: 2002194
- Update to version 2.99.16

* Wed Feb 22 2023 daviddavid <daviddavid> 2.99.14-4.mga9
+ Revision: 1944888
- add upstream patch to accept both babl and babl-0.1
- update build dependency for pkgconfig(babl-0.1)

* Mon Dec 12 2022 ns80 <ns80> 2.99.14-3.mga9
+ Revision: 1921034
- rebuild for new libtiff

* Fri Nov 18 2022 kekepower <kekepower> 2.99.14-2.mga9
+ Revision: 1908642
- Build with jpeg-xl

* Mon Nov 14 2022 kekepower <kekepower> 2.99.14-1.mga9
+ Revision: 1907313
- Update to version 2.99.14

* Mon Oct 10 2022 ns80 <ns80> 2.99.12-2.mga9
+ Revision: 1896066
- rebuild for new major number of libgs

* Mon Sep 05 2022 tv <tv> 2.99.12-1.mga9
+ Revision: 1883997
- Switch to meson tarball
- 2.99.12

* Wed Jul 27 2022 wally <wally> 2.99.10-4.mga9
+ Revision: 1872417
- rebuild for gegl libs libgegl-npd and libgegl-sc with soversion

* Wed Jun 01 2022 kekepower <kekepower> 2.99.10-3.mga9
+ Revision: 1860951
- Add upstream patch to fix CVE-2022-30067
+ tv <tv>
- Fix "configure: WARNING: unrecognized options: --enable-python"

* Sun Mar 20 2022 tv <tv> 2.99.10-2.mga9
+ Revision: 1808593
- Run autoreconf, thus fixing "Version mismatch error.  This is libtool 2.4.6 Debian-2.4.6-15... VS 2.4.7."
- Rebuild now that babl+gegl are "fixed" on armv7hl

* Mon Mar 07 2022 tv <tv> 2.99.10-1.mga9
+ Revision: 1789482
- Switch from gtk-doc to gi-docgen
- 2.99.10

* Sat Dec 25 2021 wally <wally> 2.99.8-3.mga9
+ Revision: 1763681
- rebuild for openexr 3.1.3

* Tue Dec 21 2021 tv <tv> 2.99.8-2.mga9
+ Revision: 1763106
- Fix conflict with stable gimp-2.10

* Wed Dec 01 2021 kekepower <kekepower> 2.99.8-1.mga9
+ Revision: 1760279
- Update to version 2.99.8

* Thu Feb 04 2021 tmb <tmb> 2.99.4-2.mga8
+ Revision: 1674862
- dont enable 'enable-default-binary' for gimp 2 co-existence
- adjust filelists

* Sun Jan 24 2021 tmb <tmb> 2.99.4-1.mga8
+ Revision: 1673135
- adjust for gimp3 renaming
- branch for gimp 3

* Thu Jan 07 2021 luigiwalser <luigiwalser> 1:2.99.4-5.mga8
+ Revision: 1669654
- perl-Gimp has an epoch

* Fri Jan 01 2021 luigiwalser <luigiwalser> 1:2.99.4-4.mga8
+ Revision: 1667740
- move gir files to lib package

* Fri Jan 01 2021 neoclust <neoclust> 1:2.99.4-3.mga8
+ Revision: 1667666
- Put girepository in the main package

* Fri Jan 01 2021 luigiwalser <luigiwalser> 1:2.99.4-2.mga8
+ Revision: 1667513
- obsolete incompatible gimp2 plugins
- move gimp obsoletes to gimp package
- tighten files list with versions

* Fri Jan 01 2021 luigiwalser <luigiwalser> 1:2.99.4-1.mga8
+ Revision: 1667434
- 2.99.4
- enable python build
- api version is now 3.0
- abi version is now 2.99
- update linking patch
- remove help_browser patch (upstream default changed to match)
- update build requirements
- remove old obsoletes and conflicts
- disable update checking

* Fri Oct 09 2020 shlomif <shlomif> 1:2.10.22-1.mga8
+ Revision: 1632944
- New version 2.10.22

* Sat Sep 26 2020 tv <tv> 1:2.10.20-4.mga8
+ Revision: 1630188
- rebuild for new libIlmImf

* Sun Jul 12 2020 eatdirt <eatdirt> 1:2.10.20-3.mga8
+ Revision: 1605302
- Rebuild for new libmypaint

* Sat Jul 11 2020 akien <akien> 1:2.10.20-2.mga8
+ Revision: 1605268
- Rebuild for libmypaint 1.6.1

* Sat Jun 13 2020 tv <tv> 1:2.10.20-1.mga8
+ Revision: 1593082
- fix build: replace patch by sed command
- fix build: stop calling autoreconf
+ daviddavid <daviddavid>
- new version: 2.10.20
+ luigiwalser <luigiwalser>
- build against openjpeg2 instead of jasper

* Wed Apr 01 2020 wally <wally> 1:2.10.18-4.mga8
+ Revision: 1562998
- rebuild for new libmypaint 1.5.1

* Mon Mar 16 2020 eatdirt <eatdirt> 1:2.10.18-3.mga8
+ Revision: 1556750
- Add buildrequires to libheif (mga#26330)

* Tue Mar 03 2020 tv <tv> 1:2.10.18-2.mga8
+ Revision: 1553420
- try to workaround TLS memory exhaustion on aarch64
+ kekepower <kekepower>
- Update to version 2.10.18
- Update to version 2.10.16
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Oct 29 2019 pterjan <pterjan> 1:2.10.14-2.mga8
+ Revision: 1456567
- Add -lm to file-psd plugin (it using RINT macro which uses floor)
+ tv <tv>
- bump needed gegl/babl versions

* Mon Oct 28 2019 daviddavid <daviddavid> 1:2.10.14-1.mga8
+ Revision: 1456187
- new version: 2.10.14

* Fri Oct 04 2019 tv <tv> 1:2.10.12-2.mga8
+ Revision: 1449328
- disable gimp-python in order to being able to build
- gimp-python is NOT needed

* Mon Jul 01 2019 tv <tv> 1:2.10.12-1.mga8
+ Revision: 1416622
- 2.10.12

* Mon Apr 08 2019 shlomif <shlomif> 1:2.10.10-1.mga7
+ Revision: 1386723
- New version 2.10.10

* Fri Nov 09 2018 kekepower <kekepower> 1:2.10.8-2.mga7
+ Revision: 1329117
- Bump rel to build on armv7

* Fri Nov 09 2018 kekepower <kekepower> 1:2.10.8-1.1.mga7
+ Revision: 1329044
- Update to version 2.10.8

* Tue Oct 16 2018 daviddavid <daviddavid> 1:2.10.6-4.mga7
+ Revision: 1320921
- rebuild for new ilmbase and openexr 2.3.0

* Sun Sep 23 2018 umeabot <umeabot> 1:2.10.6-2.mga7
+ Revision: 1297891
- Mageia 7 Mass Rebuild

* Mon Aug 20 2018 tv <tv> 1:2.10.6-1.mga7
+ Revision: 1253098
- need newer babl+gegl
- new release

* Thu Jul 05 2018 shlomif <shlomif> 1:2.10.4-1.mga7
+ Revision: 1241832
- New version 2.10.4

* Sun May 27 2018 wally <wally> 1:2.10.2-3.mga7
+ Revision: 1232414
- rebuild for openexr 2.2.1

* Mon May 21 2018 kekepower <kekepower> 1:2.10.2-2.mga7
+ Revision: 1230985
- Bump release to build on ARM

* Sun May 20 2018 kekepower <kekepower> 1:2.10.2-1.mga7
+ Revision: 1230859
- Update to version 2.10.2
- Add --with-bug-report-url=https://bugs.mageia.org/
- Remove merged patch for gegl-0.4
+ tv <tv>
- fix external help browser patch

* Mon May 14 2018 tv <tv> 1:2.10.0-2.mga7
+ Revision: 1229395
- no more need to run autoreconf
- I forgot to apply the patch for gegl deps in pkgconfig files

* Tue May 01 2018 tv <tv> 1:2.10.0-1.mga7
+ Revision: 1224333
- build with gegl-0.4
- new release
- requires mypaint-brushes

* Wed Apr 18 2018 tv <tv> 1:2.10.0-0.RC2.2.mga7
+ Revision: 1219864
- use newly packaged mypaint-brushes
- new release
+ shlomif <shlomif>
- New version 2.10.0rc2

* Mon Apr 16 2018 daviddavid <daviddavid> 1:2.10.0-0.RC1.3.mga7
+ Revision: 1219284
- rebuild for new jasper 2.0.14

* Wed Mar 28 2018 tv <tv> 1:2.10.0-0.RC1.2.mga7
+ Revision: 1213238
- obsolete gimp-plugin-wavelet-decompose

* Wed Mar 28 2018 tv <tv> 1:2.10.0-0.RC1.1.mga7
+ Revision: 1213182
- requires gimp-python
- BR OpenEXR-devel & libwebp for more image formats support

* Wed Mar 28 2018 tv <tv> 1:2.10.0-0.RC1.mga7
+ Revision: 1213176
- add BR on gexiv2 & glib-networking
- fix filelist
- patch 20: get rid of mypaint-brushes for now
- add new BRs
- new release
- rediff/drop merged patches

* Sun Dec 31 2017 luigiwalser <luigiwalser> 1:2.8.22-5.mga7
+ Revision: 1188360
- add patches from debian to fix CVE-2017-1778[4-9]

* Sat Dec 30 2017 wally <wally> 1:2.8.22-4.mga7
+ Revision: 1187957
- really use shipped help files with external help browser

* Sat Dec 30 2017 wally <wally> 1:2.8.22-3.mga7
+ Revision: 1187841
- use provided help files instead of online help

* Sat Dec 30 2017 wally <wally> 1:2.8.22-2.mga7
+ Revision: 1187727
- don't build the webkit based help-browser plug-in and use online manual instead

* Thu May 11 2017 shlomif <shlomif> 1:2.8.22-1.mga6
+ Revision: 1100447
- New upstream version 2.8.22

* Wed Apr 19 2017 shlomif <shlomif> 1:2.8.20-3.mga6
+ Revision: 1096771
- spec cleanups.

* Wed Apr 19 2017 shlomif <shlomif> 1:2.8.20-2.mga6
+ Revision: 1096761
- Apply patch from SUSE for MGA#20663 / CVE-2007-3126 .

* Thu Feb 09 2017 shlomif <shlomif> 1:2.8.20-1.mga6
+ Revision: 1085202
- New upstream version 2.8.20.

* Mon Nov 28 2016 luigiwalser <luigiwalser> 1:2.8.18-3.mga6
+ Revision: 1070623
- rebuild for poppler

* Sat Aug 13 2016 luigiwalser <luigiwalser> 1:2.8.18-2.mga6
+ Revision: 1046179
- test rebuild for poppler

* Sat Jul 16 2016 daviddavid <daviddavid> 1:2.8.18-1.mga6
+ Revision: 1042300
- add patch3 from debian to fix build issue
  * https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=829431
+ tv <tv>
- new release
- drop merged patch 3

* Wed Jun 29 2016 shlomif <shlomif> 1:2.8.16-2.mga6
+ Revision: 1038109
- Fix MGA#18804 - CVE-2016-4994.
  Patch from commit e82aaa4b4ee0703c879e35ea9321fff6be3e9b6f to gimp git repo.

* Thu Jan 07 2016 luigiwalser <luigiwalser> 1:2.8.16-1.mga6
+ Revision: 920515
- 2.8.16

* Wed Jul 08 2015 wally <wally> 1:2.8.14-5.mga6
+ Revision: 852902
- add patch to build with new gegl-0.3

* Wed Oct 15 2014 umeabot <umeabot> 1:2.8.14-4.mga5
+ Revision: 743885
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1:2.8.14-3.mga5
+ Revision: 726324
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1:2.8.14-2.mga5
+ Revision: 679574
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Thu Aug 28 2014 fwang <fwang> 1:2.8.14-1.mga5
+ Revision: 668941
- 2.8.14
- replace with mageia

* Fri Aug 01 2014 spuhler <spuhler> 1:2.8.10-3.mga5
+ Revision: 659072
- changed BuildRequires: pkgconfig(lcms) >= 1.16 to pkgconfig(lcms2) >= 2.2
  * we want to obsolete lcms

* Sat Apr 26 2014 shlomif <shlomif> 1:2.8.10-2.mga5
+ Revision: 618181
- Update download URL and got to build with the latest freetype.

* Wed Feb 05 2014 fwang <fwang> 1:2.8.10-1.mga5
+ Revision: 583198
- update file list
- new version 2.8.10

* Wed Dec 04 2013 luigiwalser <luigiwalser> 1:2.8.6-4.mga4
+ Revision: 555178
- add upstream patches to fix CVE-2013-1913 and CVE-2013-1978

* Sat Oct 19 2013 umeabot <umeabot> 1:2.8.6-3.mga4
+ Revision: 533245
- Mageia 4 Mass Rebuild

* Tue Aug 27 2013 tv <tv> 1:2.8.6-2.mga4
+ Revision: 472365
- rebuild for new libmng

* Sat Jun 22 2013 shlomif <shlomif> 1:2.8.6-1.mga4
+ Revision: 445640
- New version 2.8.6

* Mon Jun 03 2013 fwang <fwang> 1:2.8.4-2.mga4
+ Revision: 435876
- rebuild for new libpng

* Mon May 27 2013 fwang <fwang> 1:2.8.4-1.mga4
+ Revision: 428570
- new version 2.8.4

* Sat Jan 12 2013 umeabot <umeabot> 1:2.8.2-3.mga3
+ Revision: 351555
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Editors -> Graphics/Editors and Converters

* Fri Dec 07 2012 luigiwalser <luigiwalser> 1:2.8.2-2.mga3
+ Revision: 327883
- add upstream patch to fix CVE-2012-5576
+ malo <malo>
- update RPM group

* Fri Aug 24 2012 fwang <fwang> 1:2.8.2-1.mga3
+ Revision: 283487
- new version 2.8.2

* Mon Aug 20 2012 luigiwalser <luigiwalser> 1:2.8.0-3.mga3
+ Revision: 282663
- add patches from redhat to fix CVE-2012-3403 and CVE-2012-3481

* Mon Jun 11 2012 fwang <fwang> 1:2.8.0-2.mga3
+ Revision: 259623
- adopt to gimp-help package name change

* Thu May 03 2012 fwang <fwang> 1:2.8.0-1.mga2
+ Revision: 234596
- fix br
- fix linkage
- more br
- do not promote math lib in ldflags
- requires poppler glib
- new version 2.8.0

* Wed Feb 22 2012 ovitters <ovitters> 1:2.7.4-4.mga2
+ Revision: 212214
- clean spec

* Mon Jan 23 2012 dmorgan <dmorgan> 1:2.7.4-3.mga2
+ Revision: 200194
- Fix package ownage

* Fri Dec 23 2011 fwang <fwang> 1:2.7.4-2.mga2
+ Revision: 186519
- rebuild for new libtiff

* Mon Dec 19 2011 gil <gil> 1:2.7.4-1.mga2
+ Revision: 184116
- build fix
  added export LDFLAGS
- clean spec file
- update to 2.7.4 (unstable, see http://developer.gimp.org/NEWS for details)

* Tue Sep 27 2011 ovitters <ovitters> 1:2.7.3-1.mga2
+ Revision: 149469
- rebuild for new poppler
+ gil <gil>
- gimp.svg commented
- edit spec file
- update to 2.7.3

* Sun Sep 18 2011 fwang <fwang> 1:2.6.11-10.mga2
+ Revision: 144995
- drop .la files

* Sun Sep 18 2011 fwang <fwang> 1:2.6.11-9.mga2
+ Revision: 144964
- fix build with libpng 1.5
- rebuild for new libpng
+ ahmad <ahmad>
- Change libpoppler-*-devel BR to pkgconfig style

* Mon Jun 20 2011 dmorgan <dmorgan> 1:2.6.11-7.mga2
+ Revision: 110464
- Rebuild against new webkit

* Tue May 03 2011 ahmad <ahmad> 1:2.6.11-6.mga1
+ Revision: 94526
- Obsolete gimp-help-2-common to smoothen upgrades from older Mdv releases

* Mon Mar 28 2011 ahmad <ahmad> 1:2.6.11-5.mga1
+ Revision: 78491
- add an upstream patch to fix goption warning with glib >= 2.28.2

* Wed Jan 19 2011 ahmad <ahmad> 1:2.6.11-4.mga1
+ Revision: 24845
- drop old/unneeded scriptlets
- use gtk-doc generic BR
- imported package gimp

